Jump to main content

# Inline Data Fields

Inline data fields are special data fields that can be inserted into running text. They are inserted directly into the text box when you enter or edit text. These fields are good for special fill-in-the-blank fields that you might want to put in the middle of a paragraph.

Because they are data fields, inline data fields must be assigned a data ID and a description. However, unlike standard data fields, inline data fields permit any number of characters. They adjust automatically, so you do not have to specify their size in advance. When a user enters data in the field, the text will move right and adjust accordingly. When you create an inline data field, make sure that the height of the text box allows for any extra lines that may be added when the data is entered.

Note:

Although they are inserted into your text, inline data fields are not affected when you change text case with the Uppercase and Lowercase commands because you cannot specify case for data field text.

To add an inline data field

1. Position your insertion point in your text at the point where you want to place the inline data field.

2. Right-click to display the context menu:

3. Select Insert Inline Field and an inline data field with the next sequential data ID will automatically be added to your text box:

4. After you insert the field, finish entering or editing text in your text box.

To enter the inline data field ID and description

1. Click on the inline field with the pointer.

2. Click on the Field tab in the property pane.

3. Click on the Data ID value field and enter the data ID.

4. Click on the Description value field and enter the field description.

Note:

If you do not see the Field tab after you insert an inline field, data fields may not be activated. You can insert the field when data fields are inactive, but you cannot define it.

To check the size of a text box with an inline data field

1. Display the Field tab.

2. Enter the maximum number of characters you expect the user to enter in the Display Size property field. The inline field will be padded with x’s to show the expected display size.

3. Check the text box to make sure the text still fits in the box and resize the box if necessary.

Note:

Display Size is a design feature for testing only. It does not affect the size of the inline data field on the actual form or limit the value that can be entered.